You are not logged in.

Dear visitor, welcome to VDR Portal. If this is your first visit here, please read the Help. It explains in detail how this page works. To use all features of this page, you should consider registering. Please use the registration form, to register here or read more information about the registration process. If you are already registered, please login here.

1

Sunday, January 15th 2012, 8:52pm

[gelöst] Keine Umlaute und vdradmin-am nach Upgrade auf Squeeze

Hallo,

ich habe heute ein Upgrade meines laufenden c't VDR 7 auf Squeeze durchgeführt. Soweit scheint das meiste auch wieder zu laufen, aber an zwei Problemen beisse ich mir nun die Zähne aus.
  1. keine Umlaute in OSD und EPG
  2. vdradmin-am startet nicht

Bei dpkg-reconfigure locales habe ich de_DE ISO-8859-1, de_DE.UTF-8 UTF-8 und de_DE@euro ISO-8859-15 ausgewählt und letzteren als Standard gesetzt.
/etc/default/vdr/ steht auf VDR_CHARSET_OVERRIDE=ISO-8859-9


Beim Aufruf der Seite von vdradmin-am, bekomme ich die Meldung:
Konnte Verbindung zu localhost:2001 nicht aufbauen: IO::Socket::INET: connect: Verbindungsaufbau abgelehnt
Bitte überprüfen Sie, dass VDR läuft und dass seine svdrphosts.conf richtig konfiguriert ist.


Der VDR läuft und zeichnet auch auf. 2001 ist leer, es läuft nichts drauf.

Für etwas Hilfe wäre ich dankbar.

Gruß aus Krefeld
WWW-KR
AMD Athlon 64 X2 4600+, FSC D2461.A1 nForce4, 4GB Kingston,
OCZ Vertex Plus 30GB OS, Samsung SpinPoint F4 EcoGreen 2TB, LG GSA-H30N, Hauppauge NEXUS-s Rev.2.2
c't VDR 7 Upgrade auf
Squeeze und e-Tobi mit div. Plugin's und Server-Diensten & Hauppauge MediaMVP

This post has been edited 1 times, last edit by "WWW-KR" (Jan 22nd 2012, 4:37pm)


2

Monday, January 16th 2012, 12:13am

vdradmin-am [gelöst]

vdradmin-am startet nicht

Beim Aufruf der Seite von vdradmin-am, bekomme ich die Meldung:
Konnte Verbindung zu localhost:2001 nicht aufbauen: IO:ocket::INET: connect: Verbindungsaufbau abgelehnt
Bitte überprüfen Sie, dass VDR läuft und dass seine svdrphosts.conf richtig konfiguriert ist.


Der VDR läuft und zeichnet auch auf. 2001 ist leer, es läuft nichts drauf.


Die Lösung für das Problem habe ich im VDR-Wiki gefunden. Dort heißt es ab vdr-1.7.15 hat sich der Standard-Port von 2001 nach 6419 geändert. :wand
Nach Anpassung in der /etc/var/setup.conf läuft es nun.

Das Problem mit den Umlauten ist aber noch aktuell.
AMD Athlon 64 X2 4600+, FSC D2461.A1 nForce4, 4GB Kingston,
OCZ Vertex Plus 30GB OS, Samsung SpinPoint F4 EcoGreen 2TB, LG GSA-H30N, Hauppauge NEXUS-s Rev.2.2
c't VDR 7 Upgrade auf
Squeeze und e-Tobi mit div. Plugin's und Server-Diensten & Hauppauge MediaMVP

3

Monday, January 16th 2012, 12:28am

Bei dpkg-reconfigure locales habe ich de_DE ISO-8859-1, de_DE.UTF-8 UTF-8 und de_DE@euro ISO-8859-15 ausgewählt und letzteren als Standard gesetzt.


/usr/share/doc/vdr/README.Debian.gz

Source code

1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
The following options can be configured in /etc/default/vdr.

<...>

VDR_CHARSET_OVERRIDE=<CHARSET>

    Default: not set

    Workaround for broadcasters not correctly implementing the standard.
    According to "ETSI EN 300 468" the default character set is ISO-6937. But
    unfortunately some broadcasters actually use ISO-8859-9, but fail to
    correctly announce that. If you set VDR_CHARSET_OVERRIDE=ISO-8859-9, then VDR
    uses ISO-8859-9 as default.

VDR_LANG=<LANG>

    Default: read from LANG or LC_ALL in /etc/default/locale or /etc/environment,
             falling back to C, if no locale is specified

    Locale which is used when running vdr.


Versuchs mal hier.

cu

Mein VDR

Mein VDR
Digitainer2xBouget DVB-SDebian Squeeze (Kernel 2.6.35.3 von kernel.org)Softdevice Ausgabepluginvdr 1.6.0-3 (Extensions Patch 72) und viele Plugins von SourceMedion X10 FernbedienungSDC-Megtron Display (240x128x1) mit GraphLCD-PluginFreevo 1.9.0
Vodcatcher Helper in ein freundliches DEB verpackt, Tester Willkommen: http://dl.dropbox.com/s/705bh6ydgisfrqu/index.htmlFingerprint: 8A104A00D5031773A9F72A19BAEE135EA7860149

4

Monday, January 16th 2012, 8:32am


/usr/share/doc/vdr/README.Debian.gz

Source code

1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
The following options can be configured in /etc/default/vdr.

<...>

VDR_CHARSET_OVERRIDE=

    Default: not set

    Workaround for broadcasters not correctly implementing the standard.
    According to "ETSI EN 300 468" the default character set is ISO-6937. But
    unfortunately some broadcasters actually use ISO-8859-9, but fail to
    correctly announce that. If you set VDR_CHARSET_OVERRIDE=ISO-8859-9, then VDR
    uses ISO-8859-9 as default.

VDR_LANG=

    Default: read from LANG or LC_ALL in /etc/default/locale or /etc/environment,
             falling back to C, if no locale is specified

    Locale which is used when running vdr.


Versuchs mal hier.


Leider hat es auch nichts gebracht. Die Zeile VDR_CHARSET_OVERRIDE=ISO-8859-9 war bereits drin und das einfügen von LANG=de_DE@euro, wie in der /etc/default/locale brachte nichts.
Hier mal das Fehlerbild:


Ich hoffe das hilft vielleicht weiter.

Gruß aus Krefeld
WWW-KR
AMD Athlon 64 X2 4600+, FSC D2461.A1 nForce4, 4GB Kingston,
OCZ Vertex Plus 30GB OS, Samsung SpinPoint F4 EcoGreen 2TB, LG GSA-H30N, Hauppauge NEXUS-s Rev.2.2
c't VDR 7 Upgrade auf
Squeeze und e-Tobi mit div. Plugin's und Server-Diensten & Hauppauge MediaMVP

5

Monday, January 16th 2012, 11:15am

Benutzt du irgendeinen Patch/Plugin (Setup Plugin, Menuorg Plugin usw.) der das Menü ändert?

Zeig mal die VDR Kommandozeile "cat /proc/$(pidof vdr)/cmdline".

cu

Mein VDR

Mein VDR
Digitainer2xBouget DVB-SDebian Squeeze (Kernel 2.6.35.3 von kernel.org)Softdevice Ausgabepluginvdr 1.6.0-3 (Extensions Patch 72) und viele Plugins von SourceMedion X10 FernbedienungSDC-Megtron Display (240x128x1) mit GraphLCD-PluginFreevo 1.9.0
Vodcatcher Helper in ein freundliches DEB verpackt, Tester Willkommen: http://dl.dropbox.com/s/705bh6ydgisfrqu/index.htmlFingerprint: 8A104A00D5031773A9F72A19BAEE135EA7860149

6

Monday, January 16th 2012, 6:37pm

Benutzt du irgendeinen Patch/Plugin (Setup Plugin, Menuorg Plugin usw.) der das Menü ändert?

Zeig mal die VDR Kommandozeile "cat /proc/$(pidof vdr)/cmdline".
Nein, nichts besonderes, hier eine Übersicht:

VDR:~# ctvdrinfo
**************************************
* c't VDR Ãbersicht *
**************************************
VDR : 1.7.22-1~ctvdr2
Kernel: 2.6.32-5-486
ABI : vdr-abi-1.7.22-debian
Plugins:
( N = Native Plugin )
( D = Debian Plugin )
( - = Deaktiviert )
--------------------------------------
D clock
Package: vdr-plugin-clock
Version: 1.0.0-5
D dvbsddevice
Package: vdr-plugin-dvbsddevice
Version: 1.7.22-1~ctvdr2
D dvd
Package: vdr-plugin-dvd
Version: 0.3.6~b03+cvs20090426.0013-10
D conflictcheckonly
Package: vdr-plugin-epgsearch
Version: 1.0.0-3
D epgsearch
Package: vdr-plugin-epgsearch
Version: 1.0.0-3
D epgsearchonly
Package: vdr-plugin-epgsearch
Version: 1.0.0-3
D quickepgsearch
Package: vdr-plugin-epgsearch
Version: 1.0.0-3
D femon
Package: vdr-plugin-femon
Version: 1.7.11-1
D remote
Package: vdr-plugin-remote
Version: 0.4.0-26
D skinenigmang
Package: vdr-plugin-skinenigmang
Version: 0.1.1-7
D skinsoppalusikka
Package: vdr-plugin-skinsoppalusikka
Version: 1.7.5-1
D sysinfo
Package: vdr-plugin-sysinfo
Version: 0.1.0a-17
D text2skin
Package: vdr-plugin-text2skin
Version: 1.3.1-2
D undelete
Package: vdr-plugin-undelete
Version: 0.0.6-29
D vcd
Package: vdr-plugin-vcd
Version: 0.9-18
D vdrcd
Package: vdr-plugin-vdrcd
Version: 0.0.10.1-43
D vdrrip
Package: vdr-plugin-vdrrip
Version: 0.3.0-50
D vompserver
Package: vdr-plugin-vompserver
Version: 0.3.1-3

Addon­Packages:
--------------------------------------
vdr-addon-noad (0.7.3-1)
vdr-addon-tvmovie2vdr (0.5.14-3)
vdr-channellogos (0.0.3-3)
vdr-enigmang-icons (20070702-2)
vdr-skin-pearlhd (0.0.9.git20101009-1)
vdr-skins (0.8)
vdr-skins-speciallogos (0.2)
vdr-xpmlogos (0.0.1-3)


Die VDR Kommandozeile gibt folgendes aus:

VDR:~# cat /proc/$(pidof vdr)/cmdline
/usr/bin/vdr-v/var/lib/video.00-c/var/lib/vdr-L/usr/lib/vdr/plugins-r/usr/lib/vdr/vdr-recordingaction-s/usr/lib/vdr/vdr-shutdown.wrapper-E/var/cache/vdr/epg.data-uvdr-g/tmp--port6419--lirc-Pepgsearch-Ptext2skin-Pundelete-Pconflictcheckonly-Pquickepgsearch-Psysinfo-Pvdrrip -p /usr/bin/mplayer -e /usr/bin/mencoder -d /dev/dvd-Pvcd-Pepgsearchonly-Pskinsoppalusikka --logodir=/usr/share/vdr-xpmlogos-Pclock-Premote -i autodetect-Pdvd -C /var/cache/vdr/dvd-Pdvbsddevice-Pfemon-Pvompserver-Pvdrcd -m /usr/lib/vdr-plugin-vdrcd/mount.sh -c /cdfs -c /cdrom -c /media/usb0 -c /media/usb1-Pskinenigmang --logodir=/usr/share/vdr-enigmang-icons --epgimages=/var/cache/vdr/epgimages--vfat-w60VDR:~#
AMD Athlon 64 X2 4600+, FSC D2461.A1 nForce4, 4GB Kingston,
OCZ Vertex Plus 30GB OS, Samsung SpinPoint F4 EcoGreen 2TB, LG GSA-H30N, Hauppauge NEXUS-s Rev.2.2
c't VDR 7 Upgrade auf
Squeeze und e-Tobi mit div. Plugin's und Server-Diensten & Hauppauge MediaMVP

7

Monday, January 16th 2012, 6:52pm

Irgendie gehen mir da die Ideen aus.

Versuche mal nen VDR eigenen Skin (Im VDR Setup unter OSD).

cu

Mein VDR

Mein VDR
Digitainer2xBouget DVB-SDebian Squeeze (Kernel 2.6.35.3 von kernel.org)Softdevice Ausgabepluginvdr 1.6.0-3 (Extensions Patch 72) und viele Plugins von SourceMedion X10 FernbedienungSDC-Megtron Display (240x128x1) mit GraphLCD-PluginFreevo 1.9.0
Vodcatcher Helper in ein freundliches DEB verpackt, Tester Willkommen: http://dl.dropbox.com/s/705bh6ydgisfrqu/index.htmlFingerprint: 8A104A00D5031773A9F72A19BAEE135EA7860149

8

Monday, January 16th 2012, 7:02pm

Schon alle Skins probiert, hat nichts gebracht.
AMD Athlon 64 X2 4600+, FSC D2461.A1 nForce4, 4GB Kingston,
OCZ Vertex Plus 30GB OS, Samsung SpinPoint F4 EcoGreen 2TB, LG GSA-H30N, Hauppauge NEXUS-s Rev.2.2
c't VDR 7 Upgrade auf
Squeeze und e-Tobi mit div. Plugin's und Server-Diensten & Hauppauge MediaMVP

torsten lang

Intermediate

Posts: 285

Occupation: Entwicklungsingenieur

  • Send private message

9

Monday, January 16th 2012, 7:50pm

Hallo WWW-KR,
ich kann Dir wahrscheinlich eine Lösung anbieten - bei meinem HD-VDR hatte ich auch mit dem Problem gekämpft: Die Ursache ist die BIDI-Bibliothek, die im e-Tobi/c't-VDR standardmäßig aktiviert ist. Entweder kommentierst Du in Make.config (wird über einen der Patches erzeugt) die Zeile

Source code

1
BIDI = 1

aus, was mein erster Workaround war oder Du nimmst den folgenden Patch, den mir Klaus kürzlich gemailt hat (hier mein Patchfile aus debian/patches):

Source code

1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
tuxbox2:/usr/src/vdr-1.7.22# more debian/patches/17_bidi.patch 
Index: vdr-1.7.22/font.c
===================================================================
--- vdr-1.7.22.orig/font.c	2012-01-12 18:52:14.000000000 +0100
+++ vdr-1.7.22/font.c	2012-01-12 18:54:18.000000000 +0100
@@ -508,6 +508,9 @@
 #ifdef BIDI
 cString cFont::Bidi(const char *Ltr)
 {
+  if (cCharSetConv::SystemCharacterTable())
+    return cString(Ltr);
+
   fribidi_set_mirroring(true);
   fribidi_set_reorder_nsm(false);
   FriBidiCharSet fribidiCharset = FRIBIDI_CHAR_SET_UTF8;

Wenn es mit dem Patch klappt, schick' doch bitte Klaus auch nochmal 'ne Bestätigung.

BIDI ist für Sprachen gedacht, wo von rechts nach links ausgegeben wird. Dabei versucht die BIDI-Library UTF8-Sequenzen anzupassen und bearbeitet fälschlich auch ISO8859-1 Sonderzeichen. Ohne BIDI gibt es bei ISO8859-1 keine Probleme.

Viele Grüße,
Torsten
"The day Microsoft makes something that doesn't suck is probably
the day they start making vacuum cleaners" - Ernst Jan Plugge
__________________
Torsten Lang

This post has been edited 2 times, last edit by "torsten lang" (Jan 16th 2012, 9:29pm)


10

Thursday, January 19th 2012, 8:34am

Hallo Torsten,

ich habe auf das fertige Paket zurückgegriffen und möchte ungern mir den VDR von Hand kompilieren. Ich müsste mich tiefer in die Materie einarbeiten und dazu fehlt mir die Zeit.

Gibt es keinen anderen Weg dieser Problem aus der Welt zu schaffen? Wenn es wirklich an dem Paket von e-Tobi liegt, wieso melden sich dann nicht mehr Personen mit diesem Problem?


Gruß auf Krefeld
WWW-KR
AMD Athlon 64 X2 4600+, FSC D2461.A1 nForce4, 4GB Kingston,
OCZ Vertex Plus 30GB OS, Samsung SpinPoint F4 EcoGreen 2TB, LG GSA-H30N, Hauppauge NEXUS-s Rev.2.2
c't VDR 7 Upgrade auf
Squeeze und e-Tobi mit div. Plugin's und Server-Diensten & Hauppauge MediaMVP

11

Thursday, January 19th 2012, 6:25pm

z.B. weil es das vdr-live plugin gibt, welches eine hohe Redundanz zu vdr-admin-am hat
und zumindest das 'Umlaut-Problem' nicht
vdr1: yavdr 0.5 | Intel DH77EB | Celeron G540 | GT 630 passiv | DD Cine CT v6 | Noctua NH-L12 | Seasonic SS-300TGW (semi-passiv) | targavfd | Atric v5 | im Revox B-226 Gehäuse
vdr2: yavdr 0.5 - GA-MA78GM-S2H - BE-2350 - GT 520 passiv - Seagate 250GB - Terratec Cinergy C/T Dual

12

Thursday, January 19th 2012, 6:39pm

Wenn es wirklich an dem Paket von e-Tobi liegt, wieso melden sich dann nicht mehr Personen mit diesem Problem?


Evtl. weil sie Englisch nutzen ;) Melde du das doch bei e-Tobi.

Wobei man als Nutzer einer Developer Version eh damit rechnen muss das sowas passiert ;)

cu

Mein VDR

Mein VDR
Digitainer2xBouget DVB-SDebian Squeeze (Kernel 2.6.35.3 von kernel.org)Softdevice Ausgabepluginvdr 1.6.0-3 (Extensions Patch 72) und viele Plugins von SourceMedion X10 FernbedienungSDC-Megtron Display (240x128x1) mit GraphLCD-PluginFreevo 1.9.0
Vodcatcher Helper in ein freundliches DEB verpackt, Tester Willkommen: http://dl.dropbox.com/s/705bh6ydgisfrqu/index.htmlFingerprint: 8A104A00D5031773A9F72A19BAEE135EA7860149

torsten lang

Intermediate

Posts: 285

Occupation: Entwicklungsingenieur

  • Send private message

13

Thursday, January 19th 2012, 10:04pm

Gibt es keinen anderen Weg dieser Problem aus der Welt zu schaffen? Wenn es wirklich an dem Paket von e-Tobi liegt, wieso melden sich dann nicht mehr Personen mit diesem Problem?

Moin WWW-KR,
zum ersten Punkt: Ja klar - UTF8 verwenden (und ggf. alle alten Aufnahmen "anfassen").
zum zweiten Punkt: Es liegt nicht an e-Tobis Paket, sondern an der nicht einwandfrei arbeitenden fribidi-Bibliothek.

Mittlerweile ist UTF8 auf neuen Installationen eigentlich Standard, daher darfst Du wohl kaum mit allzuvielen Rückmeldungen rechnen. Betroffen sind hauptsächlich Anwender, die aus bestimmten Gründen eben weiterhin ISO8859 verwenden.

BTW - wenn Du eine Entwicklerversion verwendest, solltest Du auch etwas Bereitschaft mitbringen, mal ein Paket selbst zu compilieren. Debian macht es einem ja auch nicht allzu schwer, zumindest, solange Du einfach nur ein bestehendes Paket neu bauen mußt.

Da ich ein fertiges Paket habe, kannst Du das natürlich mal ausprobieren. Ich hab's auf meine HP gelegt, unter http://tlang.dyndns.org/vdr_1.7.22-1~ctvdr2_i386.deb kannst Du's runterladen und ausprobieren (sprich mit dpkg -i <Paketname> installieren). Und bitte mal Rückmeldung geben.

Gruß,
Torsten
"The day Microsoft makes something that doesn't suck is probably
the day they start making vacuum cleaners" - Ernst Jan Plugge
__________________
Torsten Lang

14

Thursday, January 19th 2012, 11:24pm

zum zweiten Punkt: Es liegt nicht an e-Tobis Paket, sondern an der nicht einwandfrei arbeitenden fribidi-Bibliothek.


Das muss ich mal kommentieren ;)

Strings in *char speichern und erwarten das Libs damit was anfangen können... das kann nur schiefgehen.

Entweder man liefet die Info mit was da nun in *char gespeichert ist, oder man verzichtet darauf irgendwelche Unicode Sachen mit "nicht Unicode" Strings zu machen. "nicht Unicode" Bytefolgen ergeben halt zwangsläufig kaputte Unicode Bytefolgen. Da kann die Bibliothek nix für.

cu

Mein VDR

Mein VDR
Digitainer2xBouget DVB-SDebian Squeeze (Kernel 2.6.35.3 von kernel.org)Softdevice Ausgabepluginvdr 1.6.0-3 (Extensions Patch 72) und viele Plugins von SourceMedion X10 FernbedienungSDC-Megtron Display (240x128x1) mit GraphLCD-PluginFreevo 1.9.0
Vodcatcher Helper in ein freundliches DEB verpackt, Tester Willkommen: http://dl.dropbox.com/s/705bh6ydgisfrqu/index.htmlFingerprint: 8A104A00D5031773A9F72A19BAEE135EA7860149

torsten lang

Intermediate

Posts: 285

Occupation: Entwicklungsingenieur

  • Send private message

15

Friday, January 20th 2012, 12:03pm

Da kann die Bibliothek nix für.

Sorry, aber da muß ich mal entschieden widersprechen. Die Library geht da reichlich schlampig mit anderen Umgebungen um, faktisch ist sie daher außerhalb einer UTF8-Umgebung unbrauchbar. Wir können das gerne nochmal ausdiskutieren, ich nehme an, Du kennst den Quellcode, wenn Du solche Äußerungen tätigst...

Gruß,
Torsten
"The day Microsoft makes something that doesn't suck is probably
the day they start making vacuum cleaners" - Ernst Jan Plugge
__________________
Torsten Lang

16

Sunday, January 22nd 2012, 3:13pm

[GELÖST] Keine Umlaute und vdradmin-am nach Upgrade auf Squeeze

Hallo Torsten,
Da ich ein fertiges Paket habe, kannst Du das natürlich mal ausprobieren. Ich hab's auf meine HP gelegt, unter http://tlang.dyndns.org/vdr_1.7.22-1~ctvdr2_i386.deb kannst Du's runterladen und ausprobieren (sprich mit dpkg -i installieren). Und bitte mal Rückmeldung geben.
ja, dein Paket hilft hier weiter. Nach dem einspielen ist das OSD sauber mit Umlauten versehen! :tup

Danke dir für die Hilfe!

Gruß aus Krefeld

WWW-KR
AMD Athlon 64 X2 4600+, FSC D2461.A1 nForce4, 4GB Kingston,
OCZ Vertex Plus 30GB OS, Samsung SpinPoint F4 EcoGreen 2TB, LG GSA-H30N, Hauppauge NEXUS-s Rev.2.2
c't VDR 7 Upgrade auf
Squeeze und e-Tobi mit div. Plugin's und Server-Diensten & Hauppauge MediaMVP

Similar threads